BLK_LIMITS_IO_OPT(9)

NAME
blk_limits_io_opt - set optimal request size for a device

SYNOPSIS

void blk_limits_io_opt(struct queue_limits * limits, unsigned int opt);

ARGUMENTS

limits
    the queue limits

opt
    smallest I/O size in bytes

DESCRIPTION

Storage devices may report an optimal I/O size, which is the device's preferred unit for sustained I/O. This is rarely reported for disk drives. For RAID arrays it is usually the stripe width or the internal track size. A properly aligned multiple of optimal_io_size is the preferred request size for workloads where sustained throughput is desired.

COPYRIGHT